import AnonymousPaymentPage from '@/components/Anonymous/pages/Payment';
import routes, { anonymousPrefix } from '@/routes'
import { Route, Routes } from 'react-router-dom'

const removePrefix = (path: string) => path.replace(anonymousPrefix, "");

function AnonymousRoutes() {

    return (
        <Routes>
            <Route
                path={`${removePrefix(routes.client.anonymousPayment())}/*`}
                element={
                    <AnonymousPaymentPage />
                }
            />
        </Routes>
    )
}

export default AnonymousRoutes